Loading...
Searching...
No Matches
Opm::Spe5FluidSystem< Scalar >::ParameterCache< Evaluation > Struct Template Reference

The type of the fluid system's parameter cache. More...

`#include <Spe5FluidSystem.hpp>`

Inheritance diagram for Opm::Spe5FluidSystem< Scalar >::ParameterCache< Evaluation >:

## Additional Inherited Members

Public Types inherited from Opm::Spe5ParameterCache< Evaluation, ThisType >
typedef PengRobinsonParamsMixture< Evaluation, ThisType, oilPhaseIdx, true > | OilPhaseParams
| The cached parameters for the oil phase.
typedef PengRobinsonParamsMixture< Evaluation, ThisType, gasPhaseIdx, true > | GasPhaseParams
| The cached parameters for the gas phase.
Public Types inherited from Opm::ParameterCacheBase< Spe5ParameterCache< Evaluation, ThisType > >
enum | ExceptQuantities
| Constants for ORing the quantities of the fluid state that have not changed since the last update.
Public Member Functions inherited from Opm::Spe5ParameterCache< Evaluation, ThisType >
void | updatePhase (const FluidState &fluidState, unsigned phaseIdx, int exceptQuantities=ParentType::None)
| Update all cached parameters of a specific fluid phase.
void | updateSingleMoleFraction (const FluidState &fluidState, unsigned phaseIdx, unsigned compIdx)
| Update all cached parameters of a specific fluid phase which depend on the mole fraction of a single component.
Evaluation | a (unsigned phaseIdx) const
| The Peng-Robinson attractive parameter for a phase.
Evaluation | b (unsigned phaseIdx) const
| The Peng-Robinson covolume for a phase.
Evaluation | aPure (unsigned phaseIdx, unsigned compIdx) const
| The Peng-Robinson attractive parameter for a pure component given the same temperature and pressure of the phase.
Evaluation | bPure (unsigned phaseIdx, unsigned compIdx) const
| The Peng-Robinson covolume for a pure component given the same temperature and pressure of the phase.
Evaluation | aCache (unsigned phaseIdx, unsigned compIdx, unsigned compJIdx) const
| TODO.
Evaluation | molarVolume (unsigned phaseIdx) const
| Returns the molar volume of a phase [m^3/mol].
const OilPhaseParams & | oilPhaseParams () const
| Returns the Peng-Robinson mixture parameters for the oil phase.
const GasPhaseParams & | gasPhaseParams () const
| Returns the Peng-Robinson mixture parameters for the gas phase.
void | updateEosParams (const FluidState &fluidState, unsigned phaseIdx, int exceptQuantities=ParentType::None)
| Update all parameters required by the equation of state to calculate some quantities for the phase.
Public Member Functions inherited from Opm::ParameterCacheBase< Spe5ParameterCache< Evaluation, ThisType > >
void | assignPersistentData (const OtherCache &)
| Copy the data which is not dependent on the type of the Scalars from another parameter cache.
void | updateAll (const FluidState &fluidState, int=None)
| Update the quantities of the parameter cache for all phases.
void | updateAllPressures (const FluidState &fluidState)
| Update pressure dependent quantities of the parameter cache for all phases.
void | updateAllTemperatures (const FluidState &fluidState)
| Update temperature dependent quantities of the parameter cache for all phases.
void | updatePhase (const FluidState &, unsigned, int=None)
| Update all cached parameters of a specific fluid phase.
void | updateTemperature (const FluidState &fluidState, unsigned phaseIdx)
| Update all cached parameters of a specific fluid phase which depend on temperature.
void | updatePressure (const FluidState &fluidState, unsigned phaseIdx)
| Update all cached parameters of a specific fluid phase which depend on pressure.
void | updateComposition (const FluidState &fluidState, unsigned phaseIdx)
| Update all cached parameters of a specific fluid phase which depend on composition.
void | updateSingleMoleFraction (const FluidState &fluidState, unsigned phaseIdx, unsigned)
| Update all cached parameters of a specific fluid phase which depend on the mole fraction of a single component.
Protected Member Functions inherited from Opm::Spe5ParameterCache< Evaluation, ThisType >
void | updatePure_ (const FluidState &fluidState, unsigned phaseIdx)
| Update all parameters of a phase which only depend on temperature and/or pressure.
void | updateMix_ (const FluidState &fluidState, unsigned phaseIdx)
| Update all parameters of a phase which depend on the fluid composition.
void | updateMolarVolume_ (const FluidState &fluidState, unsigned phaseIdx)
Protected Attributes inherited from Opm::Spe5ParameterCache< Evaluation, ThisType >
bool | VmUpToDate_ [numPhases]
Evaluation | Vm_ [numPhases]
OilPhaseParams | oilPhaseParams_
GasPhaseParams | gasPhaseParams_

## Detailed Description

template<class Scalar>
template<class Evaluation>
struct Opm::Spe5FluidSystem< Scalar >::ParameterCache< Evaluation >

The type of the fluid system's parameter cache.

The parameter cache can be used to avoid re-calculating expensive parameters for multiple quantities. Be aware that what the parameter cache actually does is specific for each fluid system and that it is opaque outside the fluid system.

The documentation for this struct was generated from the following file:

- opm/material/fluidsystems/Spe5FluidSystem.hpp